## patchelf 0.18.0

=== tests/endianness/Makefile ===
all:
	$(CC) -xc -nostdlib -shared -o libtest.so - <<< 'void test() {}'
	$(CC) -xc -nostdlib -L. -ltest -o main - <<< 'void _start() {}'

## patchelf 0.8

=== debian/changelog ===
patchelf (0.8-4) unstable; urgency=medium

  * Disable no-rpath.sh test, as it may fail when the binary is of foreign
    architecture. Really Closes: #799880

 -- Felipe Sateler <fsateler@debian.org>  Sun, 15 Nov 2015 16:05:13 -0300

patchelf (0.8-3) unstable; urgency=medium

  * Pick upstream commit to use a dynamic page size. Fixes FTBFS on ppc64el.
    Closes: #799880

 -- Felipe Sateler <fsateler@debian.org>  Thu, 12 Nov 2015 20:29:11 -0300

patchelf (0.8-2) unstable; urgency=medium

  * Document --remove-needed in manpage
  * Fix typo in manpage. Closes: #742468
     Thanks Gianluigi Tiesi

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 Mar 2014 15:28:41 -0300

patchelf (0.8-1) unstable; urgency=low

  * Initial release (Closes: #742049)

 -- Felipe Sateler <fsateler@debian.org>  Tue, 18 Mar 2014 12:57:47 -0300

=== debian/control ===
Source: patchelf
Section: utils
Priority: optional
Maintainer: Felipe Sateler <fsateler@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://nixos.org/patchelf.html
Vcs-Git: git://anonscm.debian.org/collab-maint/patchelf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/patchelf.git;a=summary

Package: patchelf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modify properties of ELF executables
 PatchELF is a simple utility for modifying existing ELF executables and
 libraries.  In particular, it can do the following:
 .
  * Change the dynamic loader ("ELF interpreter") of executables
  * Change the RPATH of executables and libraries
  * Remove declared dependencies on dynamic libraries
    (DT_NEEDED entries)

## patchelf 0.9

=== debian/changelog ===
patchelf (0.9-1~ubuntu16.04.3) xenial-security; urgency=medium

  * No-change rebuild in support for snapcraft update (LP: #1901572)

 -- Emilia Torino <emilia.torino@canonical.com>  Wed, 11 Nov 2020 16:36:41 -0300

patchelf (0.9-1~ubuntu16.04.1) xenial; urgency=medium

  * No-change backport to xenial (LP: #1753482)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 13 Mar 2018 10:06:55 +0000

patchelf (0.9-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream
    - No longer breaks hardlinks (Closes: #759497)
  * Force pagesize for no-rpath-prebuild test: We know the page size,
    and it may be different from system one

 -- Felipe Sateler <fsateler@debian.org>  Mon, 29 Feb 2016 17:32:24 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: patchelf
 Section: utils
 Priority: optional
-Maintainer: Felipe Sateler <fsateler@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Felipe Sateler <fsateler@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://nixos.org/patchelf.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/patchelf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/patchelf.git;a=summary

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://releases.nixos.org/patchelf/patchelf-(\d[\d.]*)/patchelf-(\d[\d.]*).tar.gz

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php patchelf-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/patchelf-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/patchelf-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/patchelf/patchelf-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html patchelf-(.*)\.tar\.gz

## patchelf 0.9+52.20180509

=== debian/changelog ===
patchelf (0.9+52.20180509-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Package an upstream git snapshot
    - Makes some binaries strippable after patching (Closes: #903396)
  * no-rpath-prebuild: force pagesize to 4096 on prebuilt binaries.
    They all have that page size, and the host-detected one might be
    different.
  * Update watchfile
    - Use format version 4
    - Use github as source page
  * Migrate to salsa for hosting
  * Bump debhelper compat to 11.
    Also switch to the debhelper-compat virtual package
  * Bump Standards-Version
  * Enable hardening flags

  [ Drew Parsons ]
  * add new patch adjust_startPage_issue127_commit1cc234fea.patch from
    upstream Issue #127. Fixes build-time tests.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 Sep 2018 17:20:09 -0300

## patchelf 0.9+52.20201026

=== debian/changelog ===
patchelf (0.9+52.20201026) unstable; urgency=medium

  * add mips64el support
  * update

 -- Felipe Sateler <fsateler@debian.org>  Wed, 02 Dec 2020 20:44:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: patchelf
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Felipe Sateler <fsateler@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.7
+Maintainer: Felipe Sateler <fsateler@debian.org>
+Build-Depends: debhelper-compat (= 11)
+Standards-Version: 4.2.1
 Homepage: http://nixos.org/patchelf.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/patchelf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/patchelf.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/patchelf.git
+Vcs-Browser: https://salsa.debian.org/debian/patchelf
 
 Package: patchelf
 Architecture: any

## patchelf 0.10

=== debian/changelog ===
patchelf (0.10-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:37 +0100

patchelf (0.10-2) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Name.
  * Upload to unstable.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 27 Jul 2019 08:34:41 -0400

patchelf (0.10-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Felipe Sateler ]
  * New upstream version
    - Refresh patches
  * Bump Standards-Version (no changes needed)
  * Release to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Thu, 18 Apr 2019 20:13:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
-Build-Depends: debhelper-compat (= 11)
-Standards-Version: 4.2.1
-Homepage: http://nixos.org/patchelf.html
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
+Homepage: https://nixos.org/patchelf.html
 Vcs-Git: https://salsa.debian.org/debian/patchelf.git
 Vcs-Browser: https://salsa.debian.org/debian/patchelf

## patchelf 0.11

=== debian/changelog ===
patchelf (0.11-2) unstable; urgency=medium

  * The brown paper bag release
  * Update docs to install README.md instead of README

 -- Felipe Sateler <fsateler@debian.org>  Sun, 14 Jun 2020 12:10:14 -0400

patchelf (0.11-1) unstable; urgency=medium

  * New upstream version 0.11
    - More modern C++ has avoided a memory leak (Closes: #816468)
    - force-rpath is now consistently used (Closes: #816467)
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Drop patches picked from upstream
  * Fix set-rpath corrupting binaries on mips.
    Pick a couple of proposed upstream patches to address the mips set-rpath
    failures.
    (Closes: #821435)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 13 Jun 2020 14:41:30 -0400

## patchelf 0.12

=== debian/changelog ===
patchelf (0.12-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches for new release

 -- Felipe Sateler <fsateler@debian.org>  Sat, 29 Aug 2020 12:03:40 -0400

## patchelf 0.13

=== debian/changelog ===
patchelf (0.13-1) unstable; urgency=medium

  [ Tim Theisen ]
  * New upstream version

 -- root <root@284e1a1cebc9>  Sun, 31 Oct 2021 20:31:15 +0000

## patchelf 0.14.3

=== debian/changelog ===
patchelf (0.14.3-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * New upstream release (Closes: #1001287)
    - Drop all patches, merged upstream

 -- Felipe Sateler <fsateler@debian.org>  Sun, 12 Dec 2021 13:30:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://nixos.org/patchelf.html
 Vcs-Git: https://salsa.debian.org/debian/patchelf.git
 Vcs-Browser: https://salsa.debian.org/debian/patchelf

=== debian/watch ===

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%patchelf-$1.tar.gz%" \
	https://github.com/NixOS/patchelf/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## patchelf 0.18.0

=== debian/changelog ===
patchelf (0.18.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Temporarily disable rename-dynamic-symbols.sh test on
    mips64el due to FTBFS (see Debian bug 1102299).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 19 Apr 2025 17:19:55 -0400

patchelf (0.18.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/partially-revert-fix-page-size-on-alpha.patch: New patch;
    partially revert the fix backported in
    fix-replace-add-needed-armhf.patch due to test failures on other
    architectures.  This is also an attempt to fix an FTBFS that's
    affecting mips64el.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 19 Apr 2025 15:12:56 -0400

patchelf (0.18.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/{fix-repeated-updates,fix-replace-add-needed}-armhf.patch:
    Backport upstream fixes to address test failures with
    fix-repeated-updates and fix-repeated-updates. (Closes: #1091236)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 05 Apr 2025 15:32:50 -0400

patchelf (0.18.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Relax LOAD entries condition in repeated-updates test to
    avoid FTBFS on mips64el (Closes: #1059752)

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 14:54:38 +0000

patchelf (0.18.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * New upstream release
  * Remove test files on clean (Closes: #1046039)

  [ Helmut Grohne ]
  * Mark patchelf Multi-Arch: foreign (Closes: #1026121)

  [ Felipe Sateler ]
  * Add lintian-override for test binaries

 -- Felipe Sateler <fsateler@debian.org>  Fri, 18 Aug 2023 00:04:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Package: patchelf
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: modify properties of ELF executables
  PatchELF is a simple utility for modifying existing ELF executables and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build: src/elf.h.bak
	dh_auto_build

override_dh_auto_clean: src/elf.h
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -rf build-aux
	find . -name Makefile.in -delete
	rm -f configure
	rm -f aclocal.m4

src/elf.h.bak:
	mv src/elf.h src/elf.h.bak

src/elf.h:
	mv src/elf.h.bak src/elf.h

ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
execute_before_dh_auto_test:
	mv $(CURDIR)/tests/rename-dynamic-symbols.sh $(CURDIR)/tests/rename-dynamic-symbols.sh.bkp-mips64el
	printf '#!/usr/bin/bash\necho "skipping test: fails on mips64el, see Debian bug 1102299"; exit 77' > $(CURDIR)/tests/rename-dynamic-symbols.sh
	chmod +x $(CURDIR)/tests/rename-dynamic-symbols.sh

execute_after_dh_auto_test:
	mv $(CURDIR)/tests/rename-dynamic-symbols.sh.bkp-mips64el $(CURDIR)/tests/rename-dynamic-symbols.sh
endif
